package com.keao.edu.user.api.client.fallback;

import com.keao.edu.common.entity.HttpResponseResult;
import com.keao.edu.im.api.entity.PublishMessageDto;
import com.keao.edu.user.api.client.EduUserFeignService;
import com.keao.edu.user.api.entity.ExamRoom;
import com.keao.edu.user.api.entity.ExamRoomStudentRelation;
import com.keao.edu.user.api.enums.StudentExamResultApiDto;
import org.springframework.stereotype.Component;

@Component
public class EduUserFeignServiceFallback implements EduUserFeignService {

	@Override
	public String getSysConfig(String paramName) {
		return null;
	}

	@Override
	public PublishMessageDto getPublishMessage(Long examRegistrationId) {
		return null;
	}

	@Override
	public ExamRoom getExamRoom(Integer id){
		return null;
	}

	@Override
	public StudentExamResultApiDto getExamResult(Long id) {
		return null;
	}

	@Override
	public Object studentApply(Integer organId, String phone) {
		return null;
	}

	@Override
	public ExamRoomStudentRelation getExamRoomStudentRelation(Long registrationId) {
		return null;
	}

	@Override
	public void updateFinishedExam(Long examRegistrationId, Integer finishedExam) {

	}

	@Override
	public void updateSessionId(Long examRegistrationId, String sessionId) {

	}

	@Override
	public HttpResponseResult upsetStudentAttendance(Long examRegistrationId, Integer signFlag) {
		return null;
	}

	@Override
	public HttpResponseResult upsetTeacherAttendance(Long roomId, Integer userId, Integer signFlag) {
		return null;
	}
}
